
QGIS Application - Feature request #879

Add 'Help contents' in different languages

2007-12-20 09:34 AM - cdavila -

Status: Closed

Priority: Low

Assignee:

Category: Translations and international

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 10938

Description

Currently the only language available when you press F1 is English, but it would be nice having this help translated in other languages.

Same occurs for 'Installation and User Guide'. I propose following TODO list to solve this:

TODO

*Add index_xx.html and userguide_xx.pdf files for other languages into /qgis/doc/.

*Add each language flag icon on top of index.html linked to corresponding index_xx.html file.

*Link 'Installation guide' and 'User guide' at the bottom of index.html to corresponding userguide_xx.pdf files.

As a first step, I attach file /qgis/doc/index_es.html translated into Spanish (links to userguide_es.pdf need to be updated).

History

#1 - 2008-01-12 12:04 PM - cdavila -

Attached bug879fix.diff includes:

    -  Modified index.html including links to en, de, es and pt index_xx.html. Thess are the languages currently existing in

qgis_documentation/branches/0.9.1 (Sorry, I've just realized I didn't include Italian, but it can be added later). Other languages can be added as needed.

    -  index_es.html which links to userguide point to userguide_es.pdf

    -  Flag images for mentioned locales.

Things that still need to be done:

    -  Calling translators to translate/update index.html into index_xx.html after it has been updated with next release new features/bugfixes.

    -  Adding userguide_xx.pdf from qgis_documentation/branches/0.9.2 just before next release.

Note: I think these two things could be added to [[ReleaseChecklist]]0.9.2

#2 - 2008-01-14 10:53 AM - cdavila -

Added patch bug879fix2.diff that makes new files in /doc and /doc/images be installed.

#3 - 2009-01-31 03:04 AM - Paolo Cavallini
- Status changed from Open to Closed

- Resolution set to worksforme

It works, at least in Italian. Please reopen it if it doesn't in other languages

#4 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted

#5 - 2010-10-21 12:24 AM - Paolo Cavallini

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback

I confirm, it does not work in other languages than English. Care should be taken to keep the index pages upadted, though.

#6 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#8 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#9 - 2013-02-17 01:29 AM - Jürgen Fischer

- Status changed from Feedback to Open

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

#10 - 2015-11-13 06:52 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I guess that we can close this feature request. On QGIS LTR (2.8), when you call help from the Help menu, your web browser points to the official QGIS

2.8 documentation (which is translated in multiple languages) corresponding to the locale settings of your QGIS installation. Even the non web

documentation (get by the multitude of help buttons of the different dialog boxes are also translated or partially translated). At least, the translation

infrastructure and architecture of QGIS seems to answer to the initial feature request.

Could we close this one ?

#11 - 2015-12-02 02:47 AM - Médéric RIBREUX

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented
Files

index_es.html 7.25 KB 2007-12-20 cdavila -

bug879fix.diff 10.7 KB 2008-01-12 cdavila -

bug879fix2.diff 709 Bytes 2008-01-14 cdavila -
